<?php
/**
 * Featured content loop.
 * @package WP Blog
 */
?>
<div class="site-featured-content">
	<?php
    $tags = esc_attr( get_theme_mod('featured_tags') );
	$number = absint( get_theme_mod('featured_number', 10) );
	$hide_cat = esc_attr( get_theme_mod('hide_cat') );
	$hide_excerpt = esc_attr( get_theme_mod('hide_excerpt') );
	$hide_date = esc_attr( get_theme_mod('hide_date') );

	$args = array( 'post_type' => 'post', 'post_status' => 'publish', 'posts_per_page' => $number );

	if ( $tags != '' ) {
		$args['tag'] = $tags;
    }
	$featured_posts = new WP_Query( $args );
	// if we have no posts, our work is done here.
	if ( empty( $featured_posts ) )
		return;

	// Let's loop through our posts ?>
	<div id="featured_posts" class="owl-carousel owl-theme">

		<?php
		if ( $featured_posts->have_posts() ) {
			while( $featured_posts->have_posts() ) {
				$featured_posts->the_post();

				$featured_img  = get_the_post_thumbnail_url( get_the_ID(),'full' );
				if ( has_post_thumbnail() ) {
					?>
					<div class="item" style="background-image: url(<?php echo esc_url($featured_img) ?>)">
						<?php the_post_thumbnail('slide-thumbnail') ; ?>
						<div class="slide-container">
							<div class="slide-content">
								<div class="slide-inside">
									<div class="slide-item">
                                        <?php if ( $hide_cat != 1 ) wp_blog_posted_on() ?>
										<h2><a href="<?php the_permalink() ?>"><?php the_title(); ?></a> </h2>
                                        <?php if ( $hide_excerpt != 1 ) the_excerpt() ?>
										<a class="readmore" href="<?php the_permalink() ?>"><?php esc_html_e('Read More', 'wp-blog') ?></a>
                                        <?php if ( $hide_date != 1 ) { ?>
                                        <span class="entry-date"><?php echo get_the_date(); ?></span>
                                        <?php } ?>
									</div>
								</div>
							</div>
						</div>
					</div>
					<?php
				}

			}
		}
		?>

	</div>
	<?php wp_reset_postdata(); ?>
</div><!-- .site-feature-content -->