<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package WP_Blog
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<?php
		the_title( '<h1 class="entry-title">', '</h1>' );

		if ( 'post' === get_post_type() ) :
			?>
			<div class="entry-meta">
				<?php
				wp_blog_posted_on();
				wp_blog_posted_by();
				?>
			</div><!-- .entry-meta -->
		<?php endif; ?>
	</header><!-- .entry-header -->

	<?php wp_blog_post_thumbnail(); ?>

	<div class="entry-content">
		<?php
		the_content( sprintf(
			wp_kses(
			/* translators: %s: Name of current post. Only visible to screen readers */
				__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'wp-blog' ),
				array(
					'span' => array(
						'class' => array(),
					),
				)
			),
			get_the_title()
		) );

		wp_link_pages( array(
			'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'wp-blog' ),
			'after'  => '</div>',
		) );
		?>
	</div><!-- .entry-content -->

    <?php $show_footer = esc_attr( get_theme_mod('show_post_meta', '1') );
    if ( $show_footer != 1 ) {
    ?>
	<footer class="entry-footer">
		<?php wp_blog_entry_footer(); ?>
	</footer><!-- .entry-footer -->
    <?php } ?>

	<?php $show_profile = esc_attr( get_theme_mod('show_author_box', '1') );
	if ( $show_profile != 1 ) {
	?>
	<div class="author-profile" itemprop="author" itemscope="itemscope" itemtype="http://schema.org/Person">
	    <?php
	    printf(
		    '<a class="vcard" href="%1$s">%2$s</a>',
		    esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
		    get_avatar( get_the_author_meta( 'ID' ), 90 )
	    );
	    ?>
        <div>
	        <?php
	        printf(
		        '%s',
		        sprintf(
			        '<a class="vcard" href="%1$s">%2$s</a>',
			        esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
			        esc_html( get_the_author_meta( 'display_name' ) )
		        )
	        );
	        ?>
        </div>
        <span itemprop="description">
            <?php echo esc_attr( get_the_author_meta( 'description' ) )  ?>
        </span>
    </div>
    <?php } ?>

</article><!-- #post-<?php the_ID(); ?> -->
